Skip to content
Back to top
View this page

# `incus storage volume snapshot create`

Snapshot storage volumes

## Synopsis

[96;1;4mDescription:[0;22;24m
Snapshot storage volumes

    incus storage volume snapshot create [2m[[22m[32m<remote>[0m:[2m][22m[32m<pool>[0m [2m[[22mcustom/[2m][22m[32m<volume>[0m [2m[[22m[32m<new snapshot name>[0m[2m][22m [flags]

## Examples

      incus storage volume snapshot create default foo snap0
          Create a snapshot of "foo" in pool "default" called "snap0"

      incus storage volume snapshot create default vol1 snap0 < config.yaml
          Create a snapshot of "foo" in pool "default" called "snap0" with the configuration from "config.yaml"

## Options

          --description     Snapshot description
          --expiry string   Expiry date or time span for the new snapshot
          --no-expiry       Ignore any configured auto-expiry for the storage volume
          --reuse           If the snapshot name already exists, delete and create a new one
          --target          Cluster member name

## Options inherited from parent commands

          --debug          Show all debug messages
          --explain        If the command is valid, explain its parsed arguments instead of running it
          --force-local    Force using the local unix socket
      -h, --help           Print help
          --project        Override the source project
      -q, --quiet          Don't show progress information
          --sub-commands   Use with help or --help to view sub-commands
      -v, --verbose        Show all information messages
          --version        Print version number

## SEE ALSO

- incus storage volume snapshot - Manage storage volume snapshots